Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common
Class MessageList

    java.lang.Object
      de.jsystems.framework.common.MessageList

All Implemented Interfaces:
  ActionListener, EventListener

public class MessageList
extends Object
implements ActionListener

In dieser Klasse werden Nachrichten verwaltet. Diese können bei bedarf in einem Dialog angezeigt werden. Eine solche MessageList befindet sich immer in den Klassen `BusinessView` und `Controller`.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`MessageList()` Initialisiert die MessageList und erzeugt die Oberfläche für den Dialog.

Method Summary
`void` | `actionPerformed(ActionEvent ae)` Reagiert auf den Button des Dialoges um ihn wieder zu schliessen.
`void` | `addMessage(MessageList messages)` Fuegt dieser MessageList alle Nachrichten aus der uebergebenen MessageList hinzu.
`void` | `addMessage(String message)` Fügt der Messageliste einen neuen Eintrag hinzu.
`void` | `clearMessages()` Löscht alle Einträge aus der Messagelist.
`boolean` | `containsMessage()` Prueft, ob der MessageList Meldungen hinzugefuegt wurden seit der Erzeugung oder seit dem letzten Aufruf der Methode `clearMessages()`.
`void` | `setTitle(String title)` Setzt den Titel für den Dialog.
`void` | `showMessageDialog(JComponent parent)` Zeigt einen Dialog mit allen aufgetretenen Meldungen an.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageList

    public MessageList()

  Initialisiert die MessageList und erzeugt die Oberfläche für den Dialog.

Method Detail

### setTitle

    public void setTitle(String title)

  Setzt den Titel für den Dialog. Unter diesem Titel werden dann die Meldungen aus der MessageList angeziegt bei Aufruf der Methode `showMessageDialog(JComponent)`.

  Parameters:
    `title` - Der Titel für den Dialog.

### addMessage

    public void addMessage(String message)

  Fügt der Messageliste einen neuen Eintrag hinzu. Am Ende des Textes wird noch ein CRLF eingefügt. Somit fängt jede Message in einer neuen Zeile an.

  Parameters:
    `message` - Die hinzuzufügende Message.

### addMessage

    public void addMessage(MessageList messages)

  Fuegt dieser MessageList alle Nachrichten aus der uebergebenen MessageList hinzu.

  Parameters:
    `messages` - Die MessageList, deren Eintraege dieser MessageList hinzugefuegt wernde sollen.

### showMessageDialog

    public void showMessageDialog(JComponent parent)

  Zeigt einen Dialog mit allen aufgetretenen Meldungen an. Dieser Dialog wird Modal zur uebergebenen Komponente angezeigt.

  Parameters:
    `parent` - Die Komponente zu der der Dialog Modal sein soll.

### containsMessage

    public boolean containsMessage()

  Prueft, ob der MessageList Meldungen hinzugefuegt wurden seit der Erzeugung oder seit dem letzten Aufruf der Methode `clearMessages()`.

  Returns:
    `true`, wenn Nachrichten vorhanden sind, ansonsten `false`.

### clearMessages

    public void clearMessages()

  Löscht alle Einträge aus der Messagelist.

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Reagiert auf den Button des Dialoges um ihn wieder zu schliessen. Dazu wird der Dialog einfach wieder unsichtbar gemacht.

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD